apt 3.2.0 commandline package manager

Public Member Functions | Public Attributes | List of all members
simple_buffer Struct Reference

## Public Member Functions
const char * | get () const
char * | get ()
const char * | getend () const
char * | getend ()
bool | empty () const
bool | full () const
unsigned long long | free () const
unsigned long long | size () const
void | reset (size_t size)
void | reset ()
ssize_t | read (void *to, unsigned long long requested_size)
ssize_t | write (const void *from, unsigned long long requested_size)

## Public Attributes
size_t | buffersize_max = 0
unsigned long long | bufferstart = 0
unsigned long long | bufferend = 0
char * | buffer = nullptr

The documentation for this struct was generated from the following file:

- apt-pkg/contrib/fileutl.cc